# module Treetop::Compiler::Metagrammar::UnlabeledSequencePrimary1

### Public Instance Methods

compile(lexical_address, builder) click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 1698
    def compile(lexical_address, builder)
      sequence_primary.compile(lexical_address, builder)
    end

inline_modules() click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 1702
    def inline_modules
      sequence_primary.inline_modules
    end

label_name() click to toggle source

    # File lib/treetop/compiler/metagrammar.rb, line 1706
    def label_name
      if sequence_primary.instance_of?(Nonterminal)
        sequence_primary.text_value
      else
        nil
      end
    end